<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>1996</year><year>2009</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      The contents of this file are subject to the Erlang Public License,
      Version 1.1, (the "License"); you may not use this file except in
      compliance with the License. You should have received a copy of the
      Erlang Public License along with this software. If not, it can be
      retrieved online at http://www.erlang.org/.
    
      Software distributed under the License is distributed on an "AS IS"
      basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
      the License for the specific language governing rights and limitations
      under the License.
    
    </legalnotice>

    <title>auth</title>
    <prepared></prepared>
    <docno></docno>
    <date></date>
    <rev></rev>
  </header>
  <module>auth</module>
  <modulesummary>Erlang Network Authentication Server</modulesummary>
  <description>
    <p>This module is deprecated. For a description of the Magic
      Cookie system, refer to
      <seealso marker="doc/reference_manual:distributed">Distributed Erlang</seealso> in the Erlang Reference Manual.</p>
  </description>
  <funcs>
    <func>
      <name>is_auth(Node) -> yes | no</name>
      <fsummary>Status of communication authorization (deprecated)</fsummary>
      <type>
        <v>Node = node()</v>
      </type>
      <desc>
        <p>Returns <c>yes</c> if communication with <c>Node</c> is
          authorized. Note that a connection to <c>Node</c> will
          be established in this case. Returns <c>no</c> if <c>Node</c>
          does not exist or communication is not authorized (it has
          another cookie than <c>auth</c> thinks it has).</p>
        <p>Use <seealso marker="net_adm#ping/1">net_adm:ping(Node)</seealso>
          instead.</p>
      </desc>
    </func>
    <func>
      <name>cookie() -> Cookie</name>
      <fsummary>Magic cookie for local node (deprecated)</fsummary>
      <type>
        <v>Cookie = atom()</v>
      </type>
      <desc>
        <p>Use
          <seealso marker="erts:erlang#erlang:get_cookie/0">erlang:get_cookie()</seealso>
          instead.</p>
      </desc>
    </func>
    <func>
      <name>cookie(TheCookie) -> true</name>
      <fsummary>Set the magic for the local node (deprecated)</fsummary>
      <type>
        <v>TheCookie = Cookie | [Cookie]</v>
        <d>The cookie may also be given as a list with a single atom element</d>
        <v>&nbsp;Cookie = atom()</v>
      </type>
      <desc>
        <p>Use
          <seealso marker="erts:erlang#erlang:set_cookie/2">erlang:set_cookie(node(), Cookie)</seealso>
          instead.</p>
      </desc>
    </func>
    <func>
      <name>node_cookie([Node, Cookie]) -> yes | no</name>
      <fsummary>Set the magic cookie for a node and verify authorization (deprecated)</fsummary>
      <type>
        <v>Node = node()</v>
        <v>Cookie = atom()</v>
      </type>
      <desc>
        <p>Equivalent to
          <seealso marker="#node_cookie/2">node_cookie(Node, Cookie)</seealso>.</p>
      </desc>
    </func>
    <func>
      <name>node_cookie(Node, Cookie) -> yes | no</name>
      <fsummary>Set the magic cookie for a node and verify authorization (deprecated)</fsummary>
      <type>
        <v>Node = node()</v>
        <v>Cookie = atom()</v>
      </type>
      <desc>
        <p>Sets the magic cookie of <c>Node</c> to <c>Cookie</c>, and
          verifies the status of the authorization.
          Equivalent to calling
          <seealso marker="erts:erlang#erlang:set_cookie/2">erlang:set_cookie(Node, Cookie)</seealso>, followed by
          <seealso marker="#is_auth/1">auth:is_auth(Node)</seealso>.</p>
      </desc>
    </func>
  </funcs>
</erlref>

